%define	desktop_vendor planetccrma

Summary: CLAM Network Editor
Name: clam-networkeditor
Version: 0.3.1
Release: 1
License: GPL
Group: Applications/Multimedia
URL: http://clam.iua.upf.edu
Source0: http://clam.iua.upf.edu/download/src/CLAM-NetworkEditor-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: clam-devel scons desktop-file-utils qt-devel qt-designer alsa-lib-devel
BuildRequires: ladspa-devel libsndfile-devel jack-audio-connection-kit-devel

%description
The CLAM Network Editor is a tool for editing CLAM processing networks.
Those processing networks can become the processing core of an application
by using the CLAM::NetworkPlayer class in your program or by using
the CLAM Prototyper to link the network to a Qt Designer interface.

%prep
%setup -q -n CLAM-NetworkEditor-%{version}

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_prefix}
scons install install_prefix=%{buildroot}%{_prefix} \
      clam_prefix=%{_prefix} \
      qt_plugins_install_path=`echo ${QTDIR}|perl -p -i -e 's|%{_prefix}||'`/plugins/designer

%{__mkdir} -p %{buildroot}%{_datadir}/pixmaps
%{__install} -m 644 resources/NetworkEditor-icon.png %{buildroot}%{_datadir}/pixmaps/NetworkEditor-icon.png

# desktop file categories
BASE="X-PlanetCCRMA;Application;AudioVideo;"
XTRA="X-Digital_Processing;"

%{__cat} << EOF > %{desktop_vendor}-networkeditor.desktop
[Desktop Entry]
Name=CLAM Network Editor
Comment=An audio tool to build processing networks by connecting functional boxes
Icon=%{_datadir}/pixmaps/NetworkEditor-icon.png
Type=Application
Exec=%{_bindir}/NetworkEditor
Terminal=false
Categories=${BASE}${XTRA}
Encoding=UTF-8
EOF

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  %{desktop_vendor}-networkeditor.desktop

%{__cat} << EOF > %{desktop_vendor}-prototyper.desktop
[Desktop Entry]
Name=CLAM Prototyper
Comment=Runs an audio processing core under a QT designer interface
Icon=%{_datadir}/pixmaps/NetworkEditor-icon.png
Type=Application
Exec=%{_bindir}/Prototyper
Terminal=false
Categories=${BASE}${XTRA}
Encoding=UTF-8
EOF

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  %{desktop_vendor}-prototyper.desktop

%{__cat} << EOF > %{desktop_vendor}-prototyper-jack.desktop
[Desktop Entry]
Name=CLAM Jack Prototyper
Comment=Runs an audio processing core under a QT designer interface (Jack enabled)
Icon=%{_datadir}/pixmaps/NetworkEditor-icon.png
Type=Application
Exec=%{_bindir}/Prototyper-jack
Terminal=false
Categories=${BASE}${XTRA}
Encoding=UTF-8
EOF

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  %{desktop_vendor}-prototyper-jack.desktop


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README INSTALL COPYING
%{_bindir}/*
%{_libdir}/*/plugins/designer/libCLAMWidgets.so
%exclude %{_datadir}/applications/NetworkEditor.desktop
%exclude %{_datadir}/applications/Prototyper-Jack.desktop
%exclude %{_datadir}/applications/Prototyper.desktop
%{_datadir}/applications/%{desktop_vendor}*desktop
%{_mandir}/man1/NetworkEditor.1*
%{_datadir}/networkeditor
%{_datadir}/pixmaps/NetworkEditor-icon.png

%changelog
* Fri Jun 30 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.3.1-1
- initial build.
